{% extends "siswa/userbase.html.twig" %}

{% block body %}

    {% block moreCss %}
        <link rel="stylesheet" href="{{ asset('vendor/chart/Chart.min.css') }}">
    {% endblock %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Matematika
        {% endblock %}



    {% endembed %}

    {#    Tagihan#}
    <section class="container-fluid mt-1" id="content">

        <p class="f12 font-weight-bold text-left mt-3">Perkembangan Matematika</p>

        <canvas id="myChart" class="w-100 mb-5" style="height: 20em"></canvas>

        <div class="gen-card p-4">
            <div class="d-flex justify-content-between align-items-center">
                <p>Nilai Rata-rata</p>
                <p class="text-success font-weight-bold">83</p>
            </div>
            <div class="d-flex justify-content-between align-items-center">
                <p>Nilai Tertinggi</p>
                <p class="font-weight-bold">85</p>
            </div>
            <div class="d-flex justify-content-between align-items-center">
                <p class="mb-0">Nilai Terendah</p>
                <p class="font-weight-bold mb-0">85</p>
            </div>

        </div>

        <p class="f12 font-weight-bold text-left mt-5 mb-1">Perkembangan PTS & PAS</p>
        <p>Topik yang harus kamu pelajari lagi berdasarkan quiz yang telah kamu kerjain</p>

        <div class="gen-card p-3">
            <div class="d-flex justify-content-between align-items-center  mb-3">
                <p class="mb-0 font-weight-bold">PTS</p>
                <div class="d-flex align-items-center">
                    <p class="mb-0 font-weight-bold" data-color="80.22">80.22</p>
                    <i class="mdi mdi-chevron-right f16"></i>
                </div>
            </div>
            <div class="progress mb-1" style="height: 0.2em; ">
                <div class="progress-bar" role="progressbar" data-color="80.22"></div>
            </div>
        </div>
        <div class="gen-card p-3">
            <div class="d-flex justify-content-between align-items-center  mb-3">
                <p class="mb-0 font-weight-bold">PTS</p>
                <div class="d-flex align-items-center">
                    <p class="mb-0 font-weight-bold " data-color="0">0</p>
                    <i class="mdi mdi-chevron-right f16"></i>
                </div>
            </div>
            <div class="progress mb-1" style="height: 0.2em; ">
                <div class="progress-bar" role="progressbar" data-color="0"></div>
            </div>
        </div>

        <p class="f12 font-weight-bold text-left mt-5 mb-1">Rekomendasi Belajar</p>
        <p>Topik yang harus kamu pelajari lagi berdasarkan quiz yang telah kamu kerjain</p>

        <p class="gen-card p-3">Penjumlahan</p>
        <p class="gen-card p-3">Perkembangan Setelah Perang Dunia 2</p>

        <p class="f12 font-weight-bold text-left mt-5 mb-1">Guru Matematika Terbaik Yang Ada Di Dekatmu</p>
    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}
    <script src="{{ asset('vendor/chart/Chart.min.js') }}"></script>
    <script src="{{ asset('js/wkwkwk.js') }}"></script>

    <script>
        var ctx = document.getElementById('myChart').getContext('2d');
        var myChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: ['1 Jan', '7 Jan', '14 Jan', '21 Jan', '28 Jan'],
                datasets: [{
                    label: 'Nilai',
                    data: [80, 50, 63, 78, 90],
                    pointRadius: 5,
                    pointBackgroundColor: '#1DA1F2',
                    backgroundColor: [
                        '#1DA1F222'
                    ],
                    borderColor: [
                        '#E1F5FE'
                    ],
                    borderWidth: 1,
                    max: 100
                }]
            },
            options: {
                scales: {
                    yAxes: [{
                        ticks: {
                            beginAtZero: true,
                            max: 100,
                            stepSize: 25
                        }
                    }]
                }
            }
        });
    </script>
{% endblock %}